## org.biojava.utils.automata
Interface StateMachineInstance

    public interface StateMachineInstance

Method Summary
`int` `getStart()`
`StateMachineFactory` `parent()`
`boolean` `transit(int symIdx)` invoke transition from current state indicated by Symbol represented by symbol index.

Method Detail

### transit

    boolean transit(int symIdx)

  invoke transition from current state indicated by Symbol represented by symbol index.

  Parameters:
    `symIdx` - alphabet index of the symbol encountered.
  Returns:
    true if the symbol is valid and this state machine should continue to receive input.

### parent

    StateMachineFactory parent()

### getStart

    int getStart()